Source: golang-github-mitchellh-go-testing-interface
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Homepage: https://github.com/mitchellh/go-testing-interface
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mitchellh-go-testing-interface
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mitchellh-go-testing-interface.git
XS-Go-Import-Path: github.com/mitchellh/go-testing-interface
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-mitchellh-go-testing-interface-dev
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: library to expose *testing.T as an interface
 Go library that exports an interface that *testing.T implements as well as
 a runtime version you can use in its place.
 .
 The purpose of this library is so export test helpers as a public API
 without depending on the "testing" package, since one can't create a
 *testing.T struct manually.
